Search for players
GET
/v4/players/search
Returns a list of players that is relevant to the search query. This searches the name field.
Parameters
Query Parameters
offset
Type
integer
Examples
012Minimum
0limit
Type
integer
Examples
123Minimum
1query*
A search query
Type
Requiredstring
Examples
"trp""legit""moose"sort_by
Player sorting method to use for querying.
Sorting method may start with + (ascending) or - (descending).
Defaults to + if not specified.
Player sorting methods:
defaultstreaklegiticoinsonline
Throws HTTP 400 Bad Request if the format is not followed correctly.
Type
string
Examples
"default""+streak""-legiticoins""online"Format
"player-sort-by-parameter"project
Inlcudes or excludes specified fields.
Mixing inclusion and exclusion will throw HTTP 400 Bad Request.
Type
string
Examples
"name,visits""!world_uuid,!last_scraped"Responses
Default Response
application/json
JSON { "streak": 0, "legiticoins": 0, "uuid": "00000000-1111-2222-3333-444444444444", "name": "string", "rank": "string", "online": true, "world": "de9b06f4-39ea-4143-b0db-e4db7060b842" }
[
]
